
# TARGETS=`find -type d -maxdepth 1 -mindepth 1`
TARGETS=buttons helloworld packbox table radiobuttons rangewigets label \
        arrow progressbar pixmap wheelbarrow rulers statusbar entry \
        spinbutton calendar menu

all:
	make -C buttons
	make -C helloworld
	make -C packbox
	make -C table
	make -C radiobuttons
	make -C rangewidgets
	make -C label
	make -C arrow
	make -C progressbar
	make -C pixmap
	make -C wheelbarrow
	make -C rulers
	make -C statusbar
	make -C entry
	make -C spinbutton
	make -C calendar
	make -C menu

clean:
	make clean -C buttons
	make clean -C helloworld
	make clean -C packbox
	make clean -C table
	make clean -C radiobuttons
	make clean -C rangewidgets
	make clean -C label
	make clean -C arrow
	make clean -C progressbar
	make clean -C pixmap
	make clean -C wheelbarrow
	make clean -C rulers
	make clean -C statusbar
	make clean -C entry
	make clean -C spinbutton
	make clean -C calendar
	make clean -C menu
	rm -f *.bkp
	rm -f *~
	rm -f *.o
	rm -f *.ppu
